Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030220
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2015-06-12 14:102015-06-23 17:17
ReportervmromanosView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3007307bc045
ProjectionnoneETAnoneTarget Version3.0PR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030220: Generic UpdatePaymentPlan module script

DescriptionCurrently the UpdatePaymentPlan module script fixes the wrong data related to issue 0028236.

However we have found other bugs that create wrong payment plan too, so it makes sense to adapt this module script to be more generic, trying to fix any possible mismatch between payment plan and the details.

This module script improvement should be included in core only if we first verify that it has no significant negative impact into the performance
Steps To ReproduceNA
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00301703.0PR15Q3 closedaferraz Generic UpdatePaymentPlan module script 

-  Notes
(0078445)
hgbot (developer)
2015-06-23 17:14

Repository: erp/backports/3.0PR15Q2.3
Changeset: 3007307bc045d633303d42f60e73410f30be17b5
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 22 18:36:18 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/3007307bc045d633303d42f60e73410f30be17b5 [^]

Fixes issue 30220: Generic UpdatePaymentPlan module script

Select query in UpdatePaymentPlan has been changed to make it generic.
Now it will fix all fin_payment_schedule related to an order or an invoice which paidamt or outstandingamt does not match with the sum of its fin_payment_scheduledetail amount.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlanData.class
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan_data.xsql
---
(0078453)
vmromanos (developer)
2015-06-23 17:17

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-06-22 11:45 vmromanos Type defect => backport
2015-06-22 11:45 vmromanos Target Version 3.0PR15Q3 => 3.0PR15Q2.3
2015-06-23 15:53 dmitry_mezentsev Tag Attached: Approved
2015-06-23 17:14 hgbot Checkin
2015-06-23 17:14 hgbot Note Added: 0078445
2015-06-23 17:14 hgbot Status scheduled => resolved
2015-06-23 17:14 hgbot Resolution open => fixed
2015-06-23 17:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/3007307bc045d633303d42f60e73410f30be17b5 [^]
2015-06-23 17:17 vmromanos Review Assigned To => vmromanos
2015-06-23 17:17 vmromanos Note Added: 0078453
2015-06-23 17:17 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker